%define ver 1.41
%define pver 1_41

Summary: Cross-platform C++ class library
Name: juce
Version: %{ver}
Release: 1%{?dist}
License: GPL
Group: System Environment/Libraries
URL: http://www.rawmaterialsoftware.com/juce/
Source0: http://www.rawmaterialsoftware.com/juce/downloads/juce_%{pver}.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

%if "%{fedora}" >= "5"
BuildRequires: xorg-x11-proto-devel
%else
BuildRequires: XFree86-devel
%endif
BuildRequires: alsa-lib-devel freetype-devel

%description
JUCE (Jules' Utility Class Extensions) is an all-encompassing C++
class library for developing cross-platform applications.  It's
particularly good for creating highly-specialised user interfaces and
for handling graphics and sound.

%prep
%setup -q -n juce

%build
cd build/linux
%{__make} CONFIG=Release

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_libdir}
%{__install} -m 0644 bin/libjuce.a %{buildroot}%{_libdir}/
# install everything else in %%{_datadir}/juce
%{__mkdir} -p %{buildroot}%{_datadir}/juce
tar cf - docs juce*.h src | (cd %{buildroot}%{_datadir}/juce; tar xvpf -)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc docs/*
%{_libdir}/*.a
%{_datadir}/juce

%changelog
* Tue Feb 20 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 1.41-1
- initial build, builds only a static library... no install target
  in the makefile
